summaryrefslogtreecommitdiffstats
path: root/gis/geoserver-control-flow
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2014-02-02 00:36:30 +0100
committer Robby Workman2014-02-02 09:09:46 +0100
commit7446f2a56f31d2871ac5c3514b759b2a57895bbc (patch)
treeb6dec3ecfb9c331a6264f731e824a49386628694 /gis/geoserver-control-flow
parent035116fc266f8668ac3fdc0a0acc1aca9f7dfbb3 (diff)
downloadslackbuilds-7446f2a56f31d2871ac5c3514b759b2a57895bbc.tar.gz
gis/geoserver-control-flow: Moved from Academic category.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'gis/geoserver-control-flow')
-rw-r--r--gis/geoserver-control-flow/README4
-rw-r--r--gis/geoserver-control-flow/geoserver-control-flow.SlackBuild57
-rw-r--r--gis/geoserver-control-flow/geoserver-control-flow.info10
-rw-r--r--gis/geoserver-control-flow/slack-desc19
4 files changed, 90 insertions, 0 deletions
diff --git a/gis/geoserver-control-flow/README b/gis/geoserver-control-flow/README
new file mode 100644
index 0000000000..2725121b6b
--- /dev/null
+++ b/gis/geoserver-control-flow/README
@@ -0,0 +1,4 @@
+The Control Flow plugin allows the administrator to control the number of
+concurrent requests executing on the server at any one time.
+
+Tomcat must be restarted for the plugin to take effect.
diff --git a/gis/geoserver-control-flow/geoserver-control-flow.SlackBuild b/gis/geoserver-control-flow/geoserver-control-flow.SlackBuild
new file mode 100644
index 0000000000..541d99fe3a
--- /dev/null
+++ b/gis/geoserver-control-flow/geoserver-control-flow.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# SlackBuild script for geoserver-control-flow
+
+# Copyright 2013 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=geoserver-control-flow
+VERSION=${VERSION:-2.4.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/geoserver-$VERSION-control-flow-plugin.zip
+
+mkdir -p $PKG/usr/share/geoserver/WEB-INF/lib
+cp -a *.jar $PKG/usr/share/geoserver/WEB-INF/lib
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/geoserver-control-flow/geoserver-control-flow.info b/gis/geoserver-control-flow/geoserver-control-flow.info
new file mode 100644
index 0000000000..3473b0775d
--- /dev/null
+++ b/gis/geoserver-control-flow/geoserver-control-flow.info
@@ -0,0 +1,10 @@
+PRGNAM="geoserver-control-flow"
+VERSION="2.4.4"
+HOMEPAGE="http://geoserver.org"
+DOWNLOAD="http://sourceforge.net/projects/geoserver/files/GeoServer%20Extensions/2.4.4/geoserver-2.4.4-control-flow-plugin.zip"
+MD5SUM="ab6f45be3f9ec027e59d100064537a20"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="geoserver"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/gis/geoserver-control-flow/slack-desc b/gis/geoserver-control-flow/slack-desc
new file mode 100644
index 0000000000..1c7847cbf4
--- /dev/null
+++ b/gis/geoserver-control-flow/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+geoserver-control-flow: geoserver-control-flow (GeoServer request rate limitation)
+geoserver-control-flow:
+geoserver-control-flow: The Control Flow plugin allows the administrator to control the number
+geoserver-control-flow: of concurrent requests executing on the server at any one time.
+geoserver-control-flow:
+geoserver-control-flow:
+geoserver-control-flow:
+geoserver-control-flow:
+geoserver-control-flow:
+geoserver-control-flow:
+geoserver-control-flow: